#ifndef GetParameterValue_H
#define GetParameterValue_H

#include <Command.h>
namespace ProtoGenWrapper
{
	class DParameter;
}

namespace ProtoGenWrapper
{
	class GetParameterValue:
		public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetParameterValue(const DParameter& parameter);
		GetParameterValue(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(DParameter& parameter) const;

		static int GetCommandType();
	};
}
#endif // GetParameterValue_H
